Skip to main content

Create a new job.

POST 

/api/v4/jobs

Create a new job. Minimum server version: 4.1

Permissions​

Must have permission to create the requested job type. Required permission depends on type:

  • create_data_retention_job — data_retention
  • create_compliance_export_job — message_export
  • create_elasticsearch_post_indexing_job — elasticsearch_post_indexing
  • create_elasticsearch_post_aggregation_job — elasticsearch_post_aggregation
  • create_ldap_sync_job — ldap_sync
  • manage_jobs — migrations, plugins, product_notices, expiry_notify, active_users, import_process, import_delete, export_process, export_delete, cloud, extract_content
  • access_control_sync — manage_system, or manage_channel_access_rules on the channel given in job data, or manage_team_access_rules on the team in job data (see server logic for scoped sync jobs)

Request​

Responses​

Job creation successful